Bug 1413097 - [RFE] Provide per content-view ability to prune older versions, maintaining only a specified number of most recent content view versions
Summary: [RFE] Provide per content-view ability to prune older versions, maintaining o...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
: 1152639 1197034 1304413 (view as bug list)
Depends On:
Blocks: 1122832 260381 1316897
TreeView+ depends on / blocked
 
Reported: 2017-01-13 15:41 UTC by Stefan Meyer
Modified: 2020-09-10 10:07 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-03 10:43:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1986843 None None None 2018-01-11 18:39:21 UTC

Description Stefan Meyer 2017-01-13 15:41:29 UTC
1. Proposed title of this feature request  
Provide per content-view ability to prune older versions , maintaining only specified a number of most recent content view versions
  
3. What is the nature and description of the request?  
The desire is to provide an ability within a content view to maintain only the most recent few versions of a content view, purging any older (unused) versions, 
to reduce manual workload.
  
4. Why does the customer need this? (List the business requirements here)  
Customer has 7000 RHEL systems, the desire to reduce the manual deletion of older content view versions 

5. How would the customer like to achieve this? (List the functional requirements here)  
Provide a value within a content view specifying the number of versions that should be maintained.  For example, a value of '1' would mean that only the most recent version of every content view would be available. All other unused(!) content view versions would be removed. In a case of 4, the recent version and three unused versions would be in place, the rest would be removed by the system.
  
6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
Simple inspection of published view
  
7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
Satellite 6.3 or 6.4
  
9. Is the sales team involved in this request and do they have any additional input?  
No

10. List any affected packages or components.  
Satellite 6 / Katello / Pulp  

11. Would the customer be able to assist in testing this functionality if implemented?  
Yes


Additional Information:
#######################
This is very close to BZ1228444 which is more related to packages.
This RfE is just for Content View versions.

Comment 2 Rich Jerrido 2017-10-12 12:53:43 UTC
*** Bug 1304413 has been marked as a duplicate of this bug. ***

Comment 3 Bryan Kearney 2018-01-11 18:39:21 UTC
*** Bug 1152639 has been marked as a duplicate of this bug. ***

Comment 4 Bryan Kearney 2018-01-11 18:39:49 UTC
*** Bug 1197034 has been marked as a duplicate of this bug. ***

Comment 8 Sean O'Keeffe 2020-02-03 10:43:53 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support.

Note, this should be possible with Ansible modules (https://bugzilla.redhat.com/show_bug.cgi?id=1630433)


Note You need to log in before you can comment on or make changes to this bug.